Page MenuHomePhabricator

Update Ingenico WX audit parser to handle txns from new API
Closed, ResolvedPublic2 Story Points

Description

We need to mark the new ones as gateway=ingenico

We also need to switch to using the JSON blobs in the 'redirect' log messages for data. Bonus: we'll get the right utm_ fields that way too.

Details

Related Gerrit Patches:
wikimedia/fundraising/SmashPig : masterRobust-ify needsTokenizing logic
wikimedia/fundraising/crm : masterIngenico audit: deal with untokenized recurring.
wikimedia/fundraising/crm : masterMove queue sending fns out of global scope
wikimedia/fundraising/crm : masterIngenico audit handles both APIs
wikimedia/fundraising/crm : masterAudit: allow log_filename functions to return arrays
wikimedia/fundraising/crm : masterAudit functions can deal with multiple logs for one date
wikimedia/fundraising/SmashPig : masterFix IDs for Ingenico audit entries
wikimedia/fundraising/SmashPig : masterIndicate correct gateway for Connect API donations
wikimedia/fundraising/crm : masterIngenico audit: use JSON blob instead of XML
wikimedia/fundraising/crm : masterAudit: get more fields from JSON logs

Event Timeline

Ejegg created this task.May 23 2018, 1:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2018, 1:27 AM
Ejegg renamed this task from Update Ingenico WX audit parser to differentiate txns from new API to Update Ingenico WX audit parser to handle txns from new API.May 24 2018, 2:58 PM
Ejegg triaged this task as Medium priority.
Ejegg updated the task description. (Show Details)
Ejegg set the point value for this task to 2.

Change 434928 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm@master] Audit: get more fields from JSON logs

https://gerrit.wikimedia.org/r/434928

Change 434945 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm@master] Ingenico audit: use JSON blob instead of XML

https://gerrit.wikimedia.org/r/434945

Change 434928 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Audit: get more fields from JSON logs

https://gerrit.wikimedia.org/r/434928

Change 434945 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Ingenico audit: use JSON blob instead of XML

https://gerrit.wikimedia.org/r/434945

Change 435066 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/SmashPig@master] Indicate correct gateway for Connect API donations

https://gerrit.wikimedia.org/r/435066

Change 435066 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Indicate correct gateway for Connect API donations

https://gerrit.wikimedia.org/r/435066

Change 435220 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm@master] WIP: Audit functions can deal with multiple logs for one date

https://gerrit.wikimedia.org/r/435220

Change 435286 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm@master] Audit: allow log_filename functions to return arrays

https://gerrit.wikimedia.org/r/435286

Change 435293 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm@master] WIP Ingenico audit handles both APIs

https://gerrit.wikimedia.org/r/435293

Change 435294 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/SmashPig@master] WIP: Fix IDs for Ingenico audit entries

https://gerrit.wikimedia.org/r/435294

Change 435294 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Fix IDs for Ingenico audit entries

https://gerrit.wikimedia.org/r/435294

Change 435220 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Audit functions can deal with multiple logs for one date

https://gerrit.wikimedia.org/r/435220

Change 435286 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Audit: allow log_filename functions to return arrays

https://gerrit.wikimedia.org/r/435286

Change 435293 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Ingenico audit handles both APIs

https://gerrit.wikimedia.org/r/435293

Vvjjkkii renamed this task from Update Ingenico WX audit parser to handle txns from new API to ahcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii removed Ejegg as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from ahcaaaaaaa to Update Ingenico WX audit parser to handle txns from new API.Jul 2 2018, 4:41 AM
CommunityTechBot assigned this task to Ejegg.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot set the point value for this task to 2.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
Ejegg added a comment.Jul 18 2018, 5:32 PM

Still TODO: handle first-time recurring donations. This will use https://gerrit.wikimedia.org/r/441251

Ejegg added a comment.Jul 18 2018, 5:32 PM
This comment was removed by Ejegg.
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Owls board.Jul 27 2018, 10:18 PM

Change 448808 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm@master] Move queue sending fns out of global scope

https://gerrit.wikimedia.org/r/448808

Change 448820 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm@master] Ingenico audit: deal with untokenized recurring.

https://gerrit.wikimedia.org/r/448820

Change 448832 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/SmashPig@master] Robust-ify needsTokenizing logic

https://gerrit.wikimedia.org/r/448832

Ejegg moved this task from Doing to Review on the Fundraising Sprint Owls board.Jul 30 2018, 8:18 PM

Change 448808 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Move queue sending fns out of global scope

https://gerrit.wikimedia.org/r/448808

Change 448820 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Ingenico audit: deal with untokenized recurring.

https://gerrit.wikimedia.org/r/448820

Ejegg closed this task as Resolved.Aug 7 2018, 8:14 PM